#!/bin/sh
# the next line restarts using tclsh \
exec tclsh "$0" "$@"

package require tls

proc getPassword {} {
    return "testing"
}

set port		5000
set host		localhost
set certDir		SimpleCA28/certificates

set s [tls::socket -password getPassword \
   -keyfile $certDir/clif@noucorp.com.key \
   -certfile $certDir/../1000.pem \
   -cafile $certDir/../rootca.pem \
   -request true -require true $host $port]

puts $s [list checksum "This is a test message."]
flush $s
set rply [gets $s]
puts "The reply is: $rply"

